Name:           dante
Version:        1.4.1
Release:        1%{?dist}
Summary:        A free SOCKS client and server

License:        MIT

Group:          System Environment/Daemons
URL:            https://www.inet.no/dante
Source0:        https://www.inet.no/dante/files/%{name}-%{version}.tar.gz
Source1:        sockd.service

%{?systemd_requires}
BuildRequires:  systemd
BuildRequires:  pam-devel
BuildRequires:  krb5-devel
BuildRequires:  cyrus-sasl-devel
BuildRequires:  openssl-devel
BuildRequires:  tcp_wrappers-devel

%description
Dante is a product developed by Inferno Nettverk A/S.
It consists of a SOCKS server and a SOCKS client,
implementing RFC 1928 and related standards.

### Subpackages

## Package dante-server
%package server
Summary:        The Dante SOCKS server
Group:          System Environment/Daemons

Requires:  pam
Requires:  krb5-libs
Requires:  cyrus-sasl
Requires:  openssl-libs
Requires:  tcp_wrappers

%description server
This package provides a SOCKS server, implementing RFC 1928 and related standards.

## Package dante-client
%package client
Summary:        The Dante SOCKS client
Group:          System Environment/Daemons
%description client
This package provides a SOCKS client, implementing RFC 1928 and related standards.

### Files

## dante-server files
%files server
%defattr(-, root, root)

%doc README BUGS NEWS CREDITS
%license LICENSE

%attr(755, root, root) %{_sbindir}/sockd
%{_unitdir}/sockd.service
%{_mandir}/man5/sockd.conf.5.gz
%{_mandir}/man8/sockd.8.gz

%config(noreplace) %{_sysconfdir}/sockd.conf


## dante-client files
%files client
%defattr(-, root, root)

%doc README BUGS NEWS CREDITS
%license LICENSE

%attr(755, root, root) %{_bindir}/socksify
%{_mandir}/man1/socksify.1.gz
%{_mandir}/man5/socks.conf.5.gz

%config(noreplace) %{_sysconfdir}/socks.conf

### Build spec

%prep
%autosetup

%build
./configure --prefix=%{_prefix} --libdir=%{_libdir}  \
    --disable-static --enable-shared

%make_build

%install
rm -rf %{buildroot}
%make_install
pushd example
    mkdir -p %{buildroot}/%{_sysconfdir}
    install -m 644 sockd.conf socks.conf \
            %{buildroot}/%{_sysconfdir}
popd
mkdir -p %{buildroot}/%{_unitdir}
install -m 0755 %{SOURCE1} %{buildroot}/%{_unitdir}

rm -rf %{buildroot}/%{_libdir}/
rm -rf %{buildroot}/%{_includedir}/

%post
%systemd_post sockd.service

%preun
%systemd_preun sockd.service

%postun
%systemd_postun_with_restart sockd.service

%changelog
* Wed Jul  6 2016 smaximov <s.b.maximov@gmail.com>
- v1.4.1 r1 Initial package spec
